extern "C" {

	void IrrScene_IVolumeLightSceneNode_setSubDivideU(IVolumeLightSceneNode* sn, const u32 inU)
	{
		if (sn)
			sn->setSubDivideU(inU);
	}

	void IrrScene_IVolumeLightSceneNode_setSubDivideV(IVolumeLightSceneNode* sn, const u32 inV)
	{
		if (sn)
			sn->setSubDivideV(inV);
	}

	u32 IrrScene_IVolumeLightSceneNode_getSubDivideU(IVolumeLightSceneNode* sn)
	{
		if (sn)
			return sn->getSubDivideU();
		else return 0;
	}
	
	u32 IrrScene_IVolumeLightSceneNode_getSubDivideV(IVolumeLightSceneNode* sn)
	{
		if (sn)
			sn->getSubDivideV();
		else return 0;
	}

	void IrrScene_IVolumeLightSceneNode_setFootColor(IVolumeLightSceneNode* sn, const SColor* inColor)
	{
		if (sn)
			sn->setFootColor(*inColor);
	}
	
	void IrrScene_IVolumeLightSceneNode_setTailColor(IVolumeLightSceneNode* sn, const SColor* inColor)
	{
		if (sn)
			sn->setTailColor(*inColor);
	}

	// must delete
	SColor* IrrScene_IVolumeLightSceneNode_getFootColor(IVolumeLightSceneNode* sn)
	{
		if (sn)
			return new SColor(sn->getFootColor());
		else return 0;
	}
	
	// must delete
	SColor* IrrScene_IVolumeLightSceneNode_getTailColor(IVolumeLightSceneNode* sn)
	{
		if (sn)
			return new SColor(sn->getTailColor());
		else return 0;
	}

}


